WebSocket API

fco.cancel

Hủy lệnh điều kiện theo fcoId. Nếu bị từ chối, response trả về error.code: "FCO_ERROR". Yêu cầu chữ ký signature.

Scope bắt buộc: tradingws:fco:delete.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
idstringrequired
methodstringrequired
paramsobjectrequired
fcoIdstringrequired

Định danh lệnh điều kiện cần hủy.

codestring | nulloptional

Mã OTP/xác thực giao dịch.

deviceIdstring | nulloptional

Định danh thiết bị gửi yêu cầu.

userAgentstring | nulloptional

Thông tin trình duyệt/ứng dụng gửi yêu cầu.

signaturestringrequired

Chữ ký RSA+SHA256 (base64). Bắt buộc.

timestampintegerrequired

Response Body

application/json

application/json

Sample Request

wscat -c wss://api.ssi.com.vn/ws/v3/trading -x '{
  "id": "req-0005",
  "method": "fco.cancel",
  "params": {
    "fcoId": "7528ac20-a340-4233-8bb7-a2379fc3c638"
  },
  "signature": "base64(RSA-SHA256(...))",
  "timestamp": 1755000004000
}'

Sample Response

{
  "id": "req-0005",
  "method": "fco.cancel",
  "status": 200,
  "result": {
    "fcoId": "7528ac20-a340-4233-8bb7-a2379fc3c638",
    "username": "123149"
  },
  "rateLimit": {
    "limit": 50,
    "remaining": 43,
    "resetMs": 820
  }
}